#! /bin/bash

CWD=`pwd`
TARGET=$1

if [ ! -d "$TARGET" ]; then
  exit 1
fi

BACKUPDIR=$CWD/backup_`date +%s`

mkdir $BACKUPDIR

# backup original files
cp -p $TARGET/etc/resolv.conf $BACKUPDIR/

cp -p /etc/resolv.conf $TARGET/etc/

# mount proc, dev, devpts, sys
mount -o bind /proc $TARGET/proc
mount -o bind /dev  $TARGET/dev
mount -o bind /dev/pts $TARGET/dev/pts
mount -o bind /sys  $TARGET/sys

chroot $TARGET /bin/bash

# umount proc, dev, devpts, sys
umount $TARGET/sys
umount $TARGET/dev/pts
umount $TARGET/dev
umount $TARGET/proc

# restore
cp -p $BACKUPDIR/resolv.conf $TARGET/etc/

rm -rf $BACKUPDIR
